Package de.willuhn.jameica.hbci.gui.parts

# Class AbstractUmsatzReadContextMenuItem

java.lang.Object
de.willuhn.jameica.gui.parts.ContextMenuItem
de.willuhn.jameica.hbci.gui.parts.AbstractUmsatzReadContextMenuItem

Direct Known Subclasses:
  `UmsatzSetAllReadContextMenuItem`, `UmsatzSetReadContextMenuItem`, `UmsatzSetUnreadContextMenuItem`

public class AbstractUmsatzReadContextMenuItem extends de.willuhn.jameica.gui.parts.ContextMenuItem
Abstrakte Basis-Klasse für die Contextmenü-Einträge für die Gelesen/Ungelesen-Markiuerung.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

### Fields inherited from class de.willuhn.jameica.gui.parts.ContextMenuItem

`SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`AbstractUmsatzReadContextMenuItem(String text, de.willuhn.jameica.gui.Action a, String icon)`
ct.
`AbstractUmsatzReadContextMenuItem(String text, de.willuhn.jameica.gui.Action a, String icon, String shortcut)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected static void`
`askMarkReadOnExit()`
Fragt den User, ob er die Umsätze beim Beenden als gelesen markieren möchte.

### Methods inherited from class de.willuhn.jameica.gui.parts.ContextMenuItem

`getAction, getImage, getShortcut, getText, isEnabledFor, isSeparator, setAction, setImage, setSeparator, setShortcut, setText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### AbstractUmsatzReadContextMenuItem

public AbstractUmsatzReadContextMenuItem(String text, de.willuhn.jameica.gui.Action a, String icon)
ct.

Parameters:
  `text` - Anzuzeigender Text.
  `a` - Action, die beim Klick ausgefuehrt werden soll.
  `icon` - optionale Angabe eines Icons.

### AbstractUmsatzReadContextMenuItem

public AbstractUmsatzReadContextMenuItem(String text, de.willuhn.jameica.gui.Action a, String icon, String shortcut)
ct.

Parameters:
  `text` - Anzuzeigender Text.
  `a` - Action, die beim Klick ausgefuehrt werden soll.
  `icon` - optionale Angabe eines Icons.
  `shortcut` - Tastenkombination.

## Method Details

### askMarkReadOnExit

protected static void askMarkReadOnExit()
Fragt den User, ob er die Umsätze beim Beenden als gelesen markieren möchte.